{
	"name": "schisandra-cloud-album-front",
	"private": true,
	"version": "0.0.0",
	"scripts": {
		"dev": "vite --host --mode development",
		"build": "vue-tsc && vite build",
		"preview": "vite preview",
		"prepare": "husky install"
	},
	"lint-staged": {
		"*.{vue,js,ts}": "eslint .eslintrc.cjs --fix"
	},
	"dependencies": {
		"@ant-design/icons-vue": "^7.0.1",
		"ant-design-vue": "4.1.2",
		"axios": "^1.6.8",
		"core-js": "^3.36.1",
		"cz-customizable": "^7.0.0",
		"echarts": "^5.5.0",
		"husky": "^9.0.11",
		"nprogress": "^0.2.0",
		"pinia": "^2.1.7",
		"pinia-plugin-persistedstate": "^3.2.1",
		"vite-plugin-svg-icons": "^2.0.1",
		"vue": "^3.4.21",
		"vue-i18n": "^9.10.2",
		"vue-router": "4"
	},
	"devDependencies": {
		"@commitlint/cli": "^19.2.1",
		"@commitlint/config-conventional": "^19.1.0",
		"@types/node": "^20.11.29",
		"@types/nprogress": "^0.2.3",
		"@typescript-eslint/eslint-plugin": "^7.3.1",
		"@typescript-eslint/parser": "^7.3.1",
		"@vitejs/plugin-legacy": "^5.3.2",
		"@vitejs/plugin-vue": "^5.0.4",
		"amfe-flexible": "^2.2.1",
		"autoprefixer": "^10.4.18",
		"commitizen": "^4.3.0",
		"eslint": "^8.57.0",
		"eslint-config-prettier": "^9.1.0",
		"eslint-plugin-prettier": "^5.1.3",
		"eslint-plugin-vue": "^9.23.0",
		"husky": "^8.0.0",
		"less": "^4.2.0",
		"lint-staged": "^15.2.2",
		"postcss-pxtorem": "^6.1.0",
		"prettier": "^3.2.5",
		"typescript": "^5.2.2",
		"unplugin-auto-import": "^0.17.5",
		"unplugin-vue-components": "^0.26.0",
		"vite": "^5.1.6",
		"vue-tsc": "^1.8.27"
	},
	"config": {
		"commitizen": {
			"path": "./node_modules/cz-customizable"
		}
	}
}
